
<!doctype html>
<html lang="ru" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      
      
      
      
      <link rel="icon" href="../../assets/images/favicon.png">
      <meta name="generator" content="mkdocs-1.2.2, mkdocs-material-7.3.2">
    
    
      
        <title>Стилевые шаблоны - ProtopiaEcosystem</title>
      
    
    
      <link rel="stylesheet" href="../../assets/stylesheets/main.24c991ad.min.css">
      
        
        <link rel="stylesheet" href="../../assets/stylesheets/palette.3f5d1f46.min.css">
        
          
          
          <meta name="theme-color" content="#009485">
        
      
    
    
    
      
        
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&display=fallback">
        <style>:root{--md-text-font-family:"Roboto";--md-code-font-family:"Roboto Mono"}</style>
      
    
    
    
      <link rel="stylesheet" href="../../stylesheets/extra.css">
    
    
      


    
    
  </head>
  
  
    
    
    
    
    
    <body dir="ltr" data-md-color-scheme="" data-md-color-primary="teal" data-md-color-accent="">
  
    
    <script>function __prefix(e){return new URL("../..",location).pathname+"."+e}function __get(e,t=localStorage){return JSON.parse(t.getItem(__prefix(e)))}</script>
    
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" for="__drawer"></label>
    <div data-md-component="skip">
      
        
        <a href="#_1" class="md-skip">
          Перейти к содержанию
        </a>
      
    </div>
    <div data-md-component="announce">
      
    </div>
    
      

<header class="md-header" data-md-component="header">
  <nav class="md-header__inner md-grid" aria-label="Header">
    <a href="../.." title="ProtopiaEcosystem" class="md-header__button md-logo" aria-label="ProtopiaEcosystem" data-md-component="logo">
      
  <img src="../../assets/img/pe-logo.png" alt="logo">

    </a>
    <label class="md-header__button md-icon" for="__drawer">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"/></svg>
    </label>
    <div class="md-header__title" data-md-component="header-title">
      <div class="md-header__ellipsis">
        <div class="md-header__topic">
          <span class="md-ellipsis">
            ProtopiaEcosystem
          </span>
        </div>
        <div class="md-header__topic" data-md-component="header-topic">
          <span class="md-ellipsis">
            
              Стилевые шаблоны
            
          </span>
        </div>
      </div>
    </div>
    
    
    
      <label class="md-header__button md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"/></svg>
      </label>
      
<div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" aria-label="Поиск" placeholder="Поиск" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="search-query" required>
      <label class="md-search__icon md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"/></svg>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"/></svg>
      </label>
      <nav class="md-search__options" aria-label="Search">
        
        <button type="reset" class="md-search__icon md-icon" aria-label="Clear" tabindex="-1">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"/></svg>
        </button>
      </nav>
      
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="search-result">
          <div class="md-search-result__meta">
            Initializing search
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
    
    
      <div class="md-header__source">
        
<a href="https://gitlab.com/genagl/cra-template-pe/-/tree/main/" title="Перейти к репозиторию" class="md-source" data-md-component="source">
  <div class="md-source__icon md-icon">
    
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M105.2 24.9c-3.1-8.9-15.7-8.9-18.9 0L29.8 199.7h132c-.1 0-56.6-174.8-56.6-174.8zM.9 287.7c-2.6 8 .3 16.9 7.1 22l247.9 184-226.2-294zm160.8-88 94.3 294 94.3-294zm349.4 88-28.8-88-226.3 294 247.9-184c6.9-5.1 9.7-14 7.2-22zM425.7 24.9c-3.1-8.9-15.7-8.9-18.9 0l-56.6 174.8h132z"/></svg>
  </div>
  <div class="md-source__repository">
    GitLab
  </div>
</a>
      </div>
    
  </nav>
  
</header>
    
    <div class="md-container" data-md-component="container">
      
      
        
          
            
<nav class="md-tabs" aria-label="Tabs" data-md-component="tabs">
  <div class="md-tabs__inner md-grid">
    <ul class="md-tabs__list">
      
        
  
  


  
  
  
    <li class="md-tabs__item">
      <a href="../../installation/" class="md-tabs__link">
        Установка
      </a>
    </li>
  

      
        
  
  
    
  


  
  
  
    <li class="md-tabs__item">
      <a href="../../getting-start/" class="md-tabs__link md-tabs__link--active">
        Пользователям
      </a>
    </li>
  

      
        
  
  


  
  
  
    <li class="md-tabs__item">
      <a href="../../developers/developers/" class="md-tabs__link">
        Разработчикам
      </a>
    </li>
  

      
        
  
  


  <li class="md-tabs__item">
    <a href="../../contacts/" class="md-tabs__link">
      Сообщество
    </a>
  </li>

      
    </ul>
  </div>
</nav>
          
        
      
      <main class="md-main" data-md-component="main">
        <div class="md-main__inner md-grid">
          
            
              
              <div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    

  


<nav class="md-nav md-nav--primary md-nav--lifted" aria-label="Navigation" data-md-level="0">
  <label class="md-nav__title" for="__drawer">
    <a href="../.." title="ProtopiaEcosystem" class="md-nav__button md-logo" aria-label="ProtopiaEcosystem" data-md-component="logo">
      
  <img src="../../assets/img/pe-logo.png" alt="logo">

    </a>
    ProtopiaEcosystem
  </label>
  
    <div class="md-nav__source">
      
<a href="https://gitlab.com/genagl/cra-template-pe/-/tree/main/" title="Перейти к репозиторию" class="md-source" data-md-component="source">
  <div class="md-source__icon md-icon">
    
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M105.2 24.9c-3.1-8.9-15.7-8.9-18.9 0L29.8 199.7h132c-.1 0-56.6-174.8-56.6-174.8zM.9 287.7c-2.6 8 .3 16.9 7.1 22l247.9 184-226.2-294zm160.8-88 94.3 294 94.3-294zm349.4 88-28.8-88-226.3 294 247.9-184c6.9-5.1 9.7-14 7.2-22zM425.7 24.9c-3.1-8.9-15.7-8.9-18.9 0l-56.6 174.8h132z"/></svg>
  </div>
  <div class="md-source__repository">
    GitLab
  </div>
</a>
    </div>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_1" type="checkbox" id="__nav_1" >
      
      
      
      
        <label class="md-nav__link" for="__nav_1">
          Установка
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Установка" data-md-level="1">
        <label class="md-nav__title" for="__nav_1">
          <span class="md-nav__icon md-icon"></span>
          Установка
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../installation/" class="md-nav__link">
        Установка
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../setup/" class="md-nav__link">
        Настройка приложения
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
    
  
  
    
    <li class="md-nav__item md-nav__item--active md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2" type="checkbox" id="__nav_2" checked>
      
      
      
      
        <label class="md-nav__link" for="__nav_2">
          Пользователям
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Пользователям" data-md-level="1">
        <label class="md-nav__title" for="__nav_2">
          <span class="md-nav__icon md-icon"></span>
          Пользователям
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../getting-start/" class="md-nav__link">
        Описание
      </a>
    </li>
  

            
          
            
              
  
  
    
  
  
    
    <li class="md-nav__item md-nav__item--active md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2" type="checkbox" id="__nav_2_2" checked>
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2">
          Модули
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Модули" data-md-level="2">
        <label class="md-nav__title" for="__nav_2_2">
          <span class="md-nav__icon md-icon"></span>
          Модули
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../modules/" class="md-nav__link">
        Что такое модули?
      </a>
    </li>
  

            
          
            
              
  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_2" type="checkbox" id="__nav_2_2_2" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_2">
          Базовый
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Базовый" data-md-level="3">
        <label class="md-nav__title" for="__nav_2_2_2">
          <span class="md-nav__icon md-icon"></span>
          Базовый
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../basic-module/core/" class="md-nav__link">
        Описание модуля
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../basic-module/install/" class="md-nav__link">
        Установка и конфигурация
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../basic-module/views/" class="md-nav__link">
        Структура
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_3" type="checkbox" id="__nav_2_2_3" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_3">
          Админ
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Админ" data-md-level="3">
        <label class="md-nav__title" for="__nav_2_2_3">
          <span class="md-nav__icon md-icon"></span>
          Админ
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../admin-module/" class="md-nav__link">
        Описание модуля
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../admin-module-install/" class="md-nav__link">
        Установка и конфигурация
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../admin-module-views/" class="md-nav__link">
        Структура
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
    
  
  
    
    <li class="md-nav__item md-nav__item--active md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_4" type="checkbox" id="__nav_2_2_4" checked>
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_4">
          Вёрстка
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Вёрстка" data-md-level="3">
        <label class="md-nav__title" for="__nav_2_2_4">
          <span class="md-nav__icon md-icon"></span>
          Вёрстка
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing-module/" class="md-nav__link">
        Описание модуля
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing-module-install/" class="md-nav__link">
        Установка и конфигурация
      </a>
    </li>
  

            
          
            
              
  
  
    
  
  
    
    <li class="md-nav__item md-nav__item--active md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_4_3" type="checkbox" id="__nav_2_2_4_3" checked>
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_4_3">
          Структура лендинга.
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Структура лендинга." data-md-level="4">
        <label class="md-nav__title" for="__nav_2_2_4_3">
          <span class="md-nav__icon md-icon"></span>
          Структура лендинга.
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../sections/" class="md-nav__link">
        Секции
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../content/" class="md-nav__link">
        Содержимое
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../title/" class="md-nav__link">
        Заголовок и подзаголовок
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../composition/" class="md-nav__link">
        Композиция
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../style-css/" class="md-nav__link">
        Стиль
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../divider/" class="md-nav__link">
        Разделитель
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../back/" class="md-nav__link">
        Умный задник
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../content-type/" class="md-nav__link">
        Выбор типа содержимого
      </a>
    </li>
  

            
          
            
              
  
  
    
  
  
    <li class="md-nav__item md-nav__item--active">
      
      <input class="md-nav__toggle md-toggle" data-md-toggle="toc" type="checkbox" id="__toc">
      
      
      
        <label class="md-nav__link md-nav__link--active" for="__toc">
          Стилевые шаблоны
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <a href="./" class="md-nav__link md-nav__link--active">
        Стилевые шаблоны
      </a>
      
        
<nav class="md-nav md-nav--secondary" aria-label="Содержание">
  
  
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Содержание
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#_1" class="md-nav__link">
    Что это такое — Стилевой шаблон?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_2" class="md-nav__link">
    Места, где Вы встретите карточки Стилевых шаблонов и что с ними делать:
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_3" class="md-nav__link">
    Что такое библиотека Стилевых шаблонов проекта? Как ей пользоваться?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_4" class="md-nav__link">
    Как выбрать нужные Стилевые шаблоны?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_5" class="md-nav__link">
    Как назначить для Секции новый Стилевой Шаблон?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_6" class="md-nav__link">
    Как назначить Стилевой Шаблон нескольким Секциям одновременно? А можно всем Секциям страницы? А как?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#-" class="md-nav__link">
    Если не понравилось, можно ли вернуть всё по-старому?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_7" class="md-nav__link">
    Как отредактировать существующий шаблон?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_8" class="md-nav__link">
    Как создать свой шаблон?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#pe" class="md-nav__link">
    Как поделится удачным Стилевым шаблоном с другими пользователями PE?
  </a>
  
</li>
      
    </ul>
  
</nav>
      
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../visible/" class="md-nav__link">
        Видимость
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_4_4" type="checkbox" id="__nav_2_2_4_4" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_4_4">
          Типы контента
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Типы контента" data-md-level="4">
        <label class="md-nav__title" for="__nav_2_2_4_4">
          <span class="md-nav__icon md-icon"></span>
          Типы контента
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../archor-menu/" class="md-nav__link">
        Якорное меню
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../accordeon/" class="md-nav__link">
        Аккордеон
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../cards/" class="md-nav__link">
        Карточки
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../carousel/" class="md-nav__link">
        Карусель контейнеров
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../columns/" class="md-nav__link">
        Колонки контейнеров
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../contact-form/" class="md-nav__link">
        Контактная форма
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../posts-feed/" class="md-nav__link">
        Лента постов
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../html/" class="md-nav__link">
        HTML
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../image/" class="md-nav__link">
        Изображение
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../outer-link/" class="md-nav__link">
        Внешняя ссылка
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../inner-link/" class="md-nav__link">
        Внутренняя ссылка
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../layers/" class="md-nav__link">
        Слои контейнеров
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../matchings/" class="md-nav__link">
        Опрос
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../features/" class="md-nav__link">
        Достоинства
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../posts-carousel/" class="md-nav__link">
        Карусель постов
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../quote/" class="md-nav__link">
        Цитата
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../rows/" class="md-nav__link">
        Строки контейнеров
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../socials/" class="md-nav__link">
        Социальные кнопки
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../team/" class="md-nav__link">
        Команда
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../testinomials/" class="md-nav__link">
        Отзывы клиентов
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../timeline/" class="md-nav__link">
        Timeline
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../video/" class="md-nav__link">
        Видео-ролик
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../video-player/" class="md-nav__link">
        Видео-подборка
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../vk-vidgets/" class="md-nav__link">
        Виджет ВКонтакте
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../yandex-map/" class="md-nav__link">
        Карта Яндекс
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../zoom-pan-pinch/" class="md-nav__link">
        Контейнер с лупой
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../card-template-library/" class="md-nav__link">
        Библиотека дизайнов Карточек
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../sections-details/" class="md-nav__link">
        Часто задаваемые вопросы
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_5" type="checkbox" id="__nav_2_2_5" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_5">
          Наставник
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Наставник" data-md-level="3">
        <label class="md-nav__title" for="__nav_2_2_5">
          <span class="md-nav__icon md-icon"></span>
          Наставник
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../oraculi-module/core/" class="md-nav__link">
        Описание модуля
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../oraculi-module/install/" class="md-nav__link">
        Установка и конфигурация
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../oraculi-module/views/" class="md-nav__link">
        Структура
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../fest-module/" class="md-nav__link">
        Фест
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_3" type="checkbox" id="__nav_3" >
      
      
      
      
        <label class="md-nav__link" for="__nav_3">
          Разработчикам
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Разработчикам" data-md-level="1">
        <label class="md-nav__title" for="__nav_3">
          <span class="md-nav__icon md-icon"></span>
          Разработчикам
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../developers/developers/" class="md-nav__link">
        Описание
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../developers/react-client/compile/" class="md-nav__link">
        React-клиент
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../developers/php-client/_core/" class="md-nav__link">
        PHP-клиент
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../developers/wp-client/_core/" class="md-nav__link">
        Wordpress-клиент
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../developers/node-client/_core/" class="md-nav__link">
        NodeJS-клиент
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../developers/react-client/modules/" class="md-nav__link">
        Создание модулей
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    <li class="md-nav__item">
      <a href="../../contacts/" class="md-nav__link">
        Сообщество
      </a>
    </li>
  

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              
              <div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    
<nav class="md-nav md-nav--secondary" aria-label="Содержание">
  
  
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Содержание
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#_1" class="md-nav__link">
    Что это такое — Стилевой шаблон?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_2" class="md-nav__link">
    Места, где Вы встретите карточки Стилевых шаблонов и что с ними делать:
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_3" class="md-nav__link">
    Что такое библиотека Стилевых шаблонов проекта? Как ей пользоваться?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_4" class="md-nav__link">
    Как выбрать нужные Стилевые шаблоны?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_5" class="md-nav__link">
    Как назначить для Секции новый Стилевой Шаблон?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_6" class="md-nav__link">
    Как назначить Стилевой Шаблон нескольким Секциям одновременно? А можно всем Секциям страницы? А как?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#-" class="md-nav__link">
    Если не понравилось, можно ли вернуть всё по-старому?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_7" class="md-nav__link">
    Как отредактировать существующий шаблон?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_8" class="md-nav__link">
    Как создать свой шаблон?
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#pe" class="md-nav__link">
    Как поделится удачным Стилевым шаблоном с другими пользователями PE?
  </a>
  
</li>
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content" data-md-component="content">
            <article class="md-content__inner md-typeset">
              
                
                  <a href="https://gitlab.com/genagl/cra-template-pe/-/tree/main/edit/master/docs/landing/styled-templates.md" title="Редактировать страницу" class="md-content__button md-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20.71 7.04c.39-.39.39-1.04 0-1.41l-2.34-2.34c-.37-.39-1.02-.39-1.41 0l-1.84 1.83 3.75 3.75M3 17.25V21h3.75L17.81 9.93l-3.75-3.75L3 17.25z"/></svg>
                  </a>
                
                
                  <h1>Стилевые шаблоны</h1>
                
                <p>Стилевой шаблон - это набор стилевых правил оформления уникального дизайна Секций. В Стилевом шаблоне указаны основные программные инструкции для приложения: как оно будет окрашивать и стилизовать саму Секцию и её содержимое. После назначения того или иного силевого шаблона Секции, редактор может внести правки вручную для тех элементов дизайна, у которых есть соответствующие манипуляторы в <a href="/landing/sections/#_2">Панеле редактирования Секции</a> или прикреплены <a href="/landing/style-css/">модификаторы css-стилей или css-классов</a>.</p>
<h2 id="_1">Что это такое — Стилевой шаблон?</h2>
<p>Вот так выглядит карточка стилевого шаблона. В зависимости от того, где Вы его видите, функционал может слегка отличаться.</p>
<p><img alt="style-template-2" src="/assets/img/style-template-2.jpg" />
<em>(1)Внешний вид Стилевого Шаблона</em></p>
<ol>
<li>
<p>Название шаблона.</p>
</li>
<li>
<p>В глобальной библиотеке и в Панеле назначения Шаблона для Секции: включённый чекбокс - признак назначенного Шаблона.</p>
</li>
<li>
<p>В локальной библиотеке Страницы есть возможность:</p>
<ul>
<li>
<p>назначить текущий щаблон нескольким или сразу всем Секциям страницы текущий Шаблон</p>
</li>
<li>
<p>удалить шаблон из локальной библиотеки Страницы, чтоб не мешался.</p>
</li>
<li>
<p>отредактировать шаблон глобально для страницы</p>
</li>
</ul>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Ну вы поняли?</p>
</div>
</li>
<li>
<p>Так выглядят Заголовоу и подзаголовок Секции (<a href="/landing/title/">см</a>)</p>
</li>
<li>
<p>Текстовое содержимое Секции</p>
</li>
<li>
<p>Это набор акцентуированных цветов. Ими можно пользоваться в модификаторах цветов. если Вы поменяете Шаблон этой Секции, то назначенный цвет из Шаблона будет изменён на такой же, но из другого Шаблона, который по мнению разработчиков гармоничнее сочетается с палитрой нового Шаблона. </p>
</li>
<li>
<p>Дизайн Карточек, Отзывов, Элементов таймлайна по-умолчанию. В Шаблонах дизайна Карточек эти значения могут быть изменены.</p>
</li>
<li>
<p>Так выглядят кнопки разного назначения. </p>
</li>
</ol>
<h2 id="_2">Места, где Вы встретите карточки Стилевых шаблонов и что с ними делать:</h2>
<ol>
<li>
<p>глобальная внешняя стилевая библиотека <a href="/landing/styled-templates/#_3">см.</a>. Это собранные разработчиками модуля и сообществом заготовки, которые можно использовать всем владельцам PE-приложений. Здесь Вы выбираете понравившиеся Вам Шаблоны и добавляете их в локальную библиотеку.</p>
</li>
<li>
<p>Локальная библиотека Стилевых Шаблонов <a href="/landing/styled-templates/#_2">см.</a>. Это набор Шаблонов, которые редактор выбрал для текущей страницы. Он может их прибавить, убавить или отредактировать любой из них в пределах текущей страницы.</p>
</li>
<li>
<p>Стилевой шаблон, который редактор назначил единичной Секции <a href="/landing/styled-templates/#_4">см.</a>. Редактор назначает тот или иной Шаблон Секции из доступных в локальной Библиотеке.</p>
</li>
</ol>
<h2 id="_3">Что такое библиотека Стилевых шаблонов проекта? Как ей пользоваться?</h2>
<p><img alt="style-template-0" src="/assets/img/style-template-0.jpg" />
<em>(20Доступ к локальным стилевым Шаблонам проекта</em></p>
<h2 id="_4">Как выбрать нужные Стилевые шаблоны?</h2>
<p>Из глобальной библиотеки Шаблонов,естественно. Её подготовили для Вас разработчики</p>
<p><img alt="style-template-1" src="/assets/img/style-template-1.jpg" />
<em>Интерфейс библиотеки «Стилевые шаблоны»</em></p>
<h2 id="_5">Как назначить для Секции новый Стилевой Шаблон?</h2>
<p><img alt="style-template-4" src="/assets/img/style-template-4.jpg" />
<img alt="style-template-41" src="/assets/img/style-template-41.jpg" /></p>
<p><em>Инструмент назначения Секции стилевого шаблона</em></p>
<ol>
<li>
<p>Вот так я сюда попал</p>
</li>
<li>
<p>Выбранный шаблон для текушей Секции.</p>
</li>
<li>
<p>Невыбранный шаблон.</p>
</li>
</ol>
<h2 id="_6">Как назначить Стилевой Шаблон нескольким Секциям одновременно? А можно всем Секциям страницы? А как?</h2>
<p><img alt="style-template-3" src="/assets/img/style-template-3.jpg" /></p>
<p><em>Групповые манипуляции с Секциями и Шаблонами</em></p>
<ol>
<li>
<p>Название текущего Шаблона</p>
</li>
<li>
<p>Список Секций страницы. Указан факт назначения текущего шаблона (чекбокс включен), Заголовок Секции и название назначенного её сейчас Шаблона.</p>
</li>
<li>
<p>Выбрать текущий шаблон всем Секциям страницы</p>
</li>
<li>
<p>Окончательно назначить текущий шаблон всем Секциям страницы</p>
</li>
</ol>
<h2 id="-">Если не понравилось, можно ли вернуть всё по-старому?</h2>
<p>Если Вы манипулировали со стилем и Вам не понравился результат - загрузите его снова. </p>
<h2 id="_7">Как отредактировать существующий шаблон?</h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Это пока не работает. Не реализовано в текущей версии благодаря лени-матушке</p>
</div>
<h2 id="_8">Как создать свой шаблон?</h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Это пока не работает. Не реализовано в текущей версии благодаря лени-матушке</p>
</div>
<h2 id="pe">Как поделится удачным Стилевым шаблоном с другими пользователями PE?</h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>К сожалению, в текущей версии это не работает....</p>
</div>
<p><code>Подключение шрифтов из библиотеки Google Fonts</code></p>
                
              
              
                


              
            </article>
          </div>
        </div>
        
      </main>
      
        
<footer class="md-footer">
  
    <nav class="md-footer__inner md-grid" aria-label="Footer">
      
        
        <a href="../content-type/" class="md-footer__link md-footer__link--prev" aria-label="Назад: Выбор типа содержимого" rel="prev">
          <div class="md-footer__button md-icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"/></svg>
          </div>
          <div class="md-footer__title">
            <div class="md-ellipsis">
              <span class="md-footer__direction">
                Назад
              </span>
              Выбор типа содержимого
            </div>
          </div>
        </a>
      
      
        
        <a href="../visible/" class="md-footer__link md-footer__link--next" aria-label="Вперед: Видимость" rel="next">
          <div class="md-footer__title">
            <div class="md-ellipsis">
              <span class="md-footer__direction">
                Вперед
              </span>
              Видимость
            </div>
          </div>
          <div class="md-footer__button md-icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"/></svg>
          </div>
        </a>
      
    </nav>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-footer-copyright">
        
          <div class="md-footer-copyright__highlight">
            Copyright &copy; 2018 - 2021 Конструкторское Бюро Дома Протопии
          </div>
        
        
          Made with
          <a href="https://squidfunk.github.io/mkdocs-material/" target="_blank" rel="noopener">
            Material for MkDocs
          </a>
        
        
      </div>
      
    </div>
  </div>
</footer>
      
    </div>
    <div class="md-dialog" data-md-component="dialog">
      <div class="md-dialog__inner md-typeset"></div>
    </div>
    <script id="__config" type="application/json">{"base": "../..", "features": ["navigation.tabs"], "translations": {"clipboard.copy": "\u041a\u043e\u043f\u0438\u0440\u043e\u0432\u0430\u0442\u044c \u0432 \u0431\u0443\u0444\u0435\u0440", "clipboard.copied": "\u0421\u043a\u043e\u043f\u0438\u0440\u043e\u0432\u0430\u043d\u043e \u0432 \u0431\u0443\u0444\u0435\u0440", "search.config.lang": "ru", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "\u041f\u043e\u0438\u0441\u043a", "search.result.placeholder": "\u041d\u0430\u0447\u043d\u0438\u0442\u0435 \u043f\u0435\u0447\u0430\u0442\u0430\u0442\u044c \u0434\u043b\u044f \u043f\u043e\u0438\u0441\u043a\u0430", "search.result.none": "\u0421\u043e\u0432\u043f\u0430\u0434\u0435\u043d\u0438\u0439 \u043d\u0435 \u043d\u0430\u0439\u0434\u0435\u043d\u043e", "search.result.one": "\u041d\u0430\u0439\u0434\u0435\u043d\u043e 1 \u0441\u043e\u0432\u043f\u0430\u0434\u0435\u043d\u0438\u0435", "search.result.other": "\u041d\u0430\u0439\u0434\u0435\u043d\u043e # \u0441\u043e\u0432\u043f\u0430\u0434\u0435\u043d\u0438\u0439", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing", "select.version.title": "Select version"}, "search": "../../assets/javascripts/workers/search.e99e714c.min.js", "version": null}</script>
    
    
      <script src="../../assets/javascripts/bundle.bc35569b.min.js"></script>
      
    
  </body>
</html>